--- old/usr/src/uts/common/io/e1000api/e1000_api.c	Wed Feb 26 09:49:36 2014
+++ new/usr/src/uts/common/io/e1000api/e1000_api.c	Wed Feb 26 09:49:36 2014
@@ -351,6 +351,11 @@
 	case E1000_DEV_ID_I350_VF_HV:
 		mac->type = e1000_vfadapt_i350;
 		break;
+	case E1000_DEV_ID_I354_BACKPLANE_1GBPS:
+	case E1000_DEV_ID_I354_SGMII:
+	case E1000_DEV_ID_I354_BACKPLANE_2_5GBPS:
+		mac->type = e1000_i354;
+		break;
 
 	default:
 		/* Should never have loaded on this device */
@@ -447,6 +452,7 @@
 	case e1000_82576:
 	case e1000_82580:
 	case e1000_i350:
+	case e1000_i354:
 		e1000_init_function_pointers_82575(hw);
 		break;
 	case e1000_i210:
